org.apache.cassandra.cql3

## Interface Term.Raw

All Superinterfaces:
  AssignmentTestable

All Known Subinterfaces:
  Term.MultiColumnRaw

All Known Implementing Classes:
  AbstractMarker.INRaw, AbstractMarker.Raw, Constants.Literal, FunctionCall.Raw, Lists.Literal, Maps.Literal, Sets.Literal, Tuples.INRaw, Tuples.Literal, Tuples.Raw, TypeCast, UserTypes.Literal

Enclosing interface:
  Term

    public static interface Term.Raw
    extends AssignmentTestable

A parsed, non prepared (thus untyped) term. This can be one of: - a constant - a collection literal - a function call - a marker

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`AssignmentTestable.TestResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`Term` `prepare(java.lang.String keyspace, ColumnSpecification receiver)` This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

### Methods inherited from interface org.apache.cassandra.cql3.AssignmentTestable

`testAssignment`

### Method Detail

#### prepare

    Term prepare(java.lang.String keyspace,
                 ColumnSpecification receiver)
          throws InvalidRequestException

This method validates this RawTerm is valid for provided column specification and "prepare" this RawTerm, returning the resulting prepared Term.

Parameters:
  `receiver` - the "column" this RawTerm is supposed to be a value of. Note that the ColumnSpecification may not correspond to a real column in the case this RawTerm describe a list index or a map key, etc...
Returns:
  the prepared term.
Throws:
  `InvalidRequestException`